org.eclipse.emf.cdo.server.ocl

## Class OCLQueryHandler.ContextParameter

- java.lang.Object
- - org.eclipse.emf.cdo.server.ocl.OCLQueryHandler.ContextParameter

- Enclosing class:
    OCLQueryHandler

      protected static final class OCLQueryHandler.ContextParameter
      extends java.lang.Object

  An abstraction of the `classifier` and/or `obejct` of an OCL query context parameter.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextParameter(CDOView view, CDOQueryInfo info)`
    `ContextParameter(EClassifier classifier, EObject object)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static EClassifier` | `getArbitraryContextClassifier(CDOPackageRegistry packageRegistry)`
    `EClassifier` | `getClassifier()`
    `EObject` | `getObject()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextParameter

          public ContextParameter(CDOView view,
                                  CDOQueryInfo info)

    - #### ContextParameter

          public ContextParameter(EClassifier classifier,
                                  EObject object)

  - ### Method Detail

    - #### getClassifier

          public EClassifier getClassifier()

    - #### getObject

          public EObject getObject()

    - #### getArbitraryContextClassifier

          protected static EClassifier getArbitraryContextClassifier(CDOPackageRegistry packageRegistry)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html